ncsa.hdf.hdf5lib.exceptions

## Class HDF5JavaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ncsa.hdf.hdf5lib.exceptions.HDF5Exception
      - - ncsa.hdf.hdf5lib.exceptions.HDF5JavaException

All Implemented Interfaces:
  java.io.Serializable

    public class HDF5JavaException
    extends HDF5Exception

The class HDF5JavaException returns errors from the Java wrapper of theHDF5 library.

These errors include Java configuration errors, security violations, and resource exhaustion.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class ncsa.hdf.hdf5lib.exceptions.HDF5Exception

`detailMessage`

### Constructor Summary

Constructors
Constructor and Description
`HDF5JavaException()` Constructs an `HDF5JavaException` with no specified detail message.
`HDF5JavaException(java.lang.String s)` Constructs an `HDF5JavaException` with the specified detail message.

### Method Summary

### Methods inherited from class ncsa.hdf.hdf5lib.exceptions.HDF5Exception

`getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HDF5JavaException

    public HDF5JavaException()

Constructs an `HDF5JavaException` with no specified detail message.

#### HDF5JavaException

    public HDF5JavaException(java.lang.String s)

Constructs an `HDF5JavaException` with the specified detail message.

Parameters:
  `s` - the detail message.